T1UNMAC(1)

NAME
t1unmac - translate a Mac PostScript Type 1 font into PFA or PFB format

SYNOPSIS
t1unmac [-a|-b] [-r] [input [output]]

DESCRIPTION
t1unmac extracts POST resources from a Macintosh PostScript font file and creates a PFA (hexadecimal) or PFB (binary) font file. The file input should be in MacBinary I or II, AppleSingle, AppleDouble, or BinHex format, or it can be a raw resource fork. If the file is a raw resource fork, you need to give the `--raw' option; otherwise t1unmac should automatically figure out what kind of file you have. If the file output is not specified output goes to the standard output.

OPTIONS

--pfa, -a
    Output in PFA (ASCII) format.

--pfb, -b
    Output in PFB (binary) format. This is the default.

--raw, -r
    Indicates that the input is a raw resource fork.

--macbinary
    Indicates that the input is in MacBinary I or II format.

--applesingle
    Indicates that the input is in AppleSingle format.

--appledouble
    Indicates that the input is in AppleDouble format.

--binhex
    Indicates that the input is in BinHex 4.0 format.

--block-length=num, -l num
    PFB only: Set the maximum output block length to num. The default length is as large as memory allows.

--line-length=num, -l num
    PFA only: Set the maximum length of encrypted lines in the output to num. (These are the lines consisting wholly of hexadecimal digits.) The default is 64.

EXAMPLES

On Mac OS X, you can use t1unmac to translate a font into PFA or PFB format as follows:
% t1unmac --raw FONTFILENAME/..namedfork/rsrc > OUTPUT

SEE ALSO

AUTHORS
Lee Hetherington (ilh@lcs.mit.edu)
Eddie Kohler (ekohler@gmail.com)

Ported to Microsoft C/C++ Compiler and MS-DOS operating system by Kai-Uwe Herbing (herbing@netmbx.netmbx.de).